net.dontdrinkandroot.lastfm.api.model

## Class Coordinate

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.LfmEntity
  - - net.dontdrinkandroot.lastfm.api.model.Coordinate

All Implemented Interfaces:
  Serializable

    public class Coordinate
    extends LfmEntity
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Coordinate(Element element)` Create a Coordinate from an XML Element.

### Method Summary

Methods
`Float` `getLatitude()`
`Float` `getLongitude()`
`Float` `lat()`
`Float` `lon()`
`void` `setLatitude(Float latitude)`
`void` `setLongitude(Float longitude)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Coordinate

    public Coordinate(Element element)

Create a Coordinate from an XML Element.

Parameters:
  `element` - The XML Element to create the Coordinate from.

### Method Detail

#### getLatitude

    public final Float getLatitude()

#### getLongitude

    public final Float getLongitude()

#### setLatitude

    public final void setLatitude(Float latitude)

#### setLongitude

    public final void setLongitude(Float longitude)

#### lat

    public final Float lat()

#### lon

    public final Float lon()